clang 10.0.0git

Public Types | Static Public Member Functions | List of all members
llvm::GraphTraits< clang::Stmt * > Struct Template Reference

`#include "clang/AST/StmtGraphTraits.h"`

## Public Types
using | NodeRef = clang::Stmt *
using | ChildIteratorType = clang::Stmt::child_iterator
using | nodes_iterator = llvm::df_iterator< clang::Stmt * >

## Static Public Member Functions
static NodeRef | getEntryNode (clang::Stmt *S)
static ChildIteratorType | child_begin (NodeRef N)
static ChildIteratorType | child_end (NodeRef N)
static nodes_iterator | nodes_begin (clang::Stmt *S)
static nodes_iterator | nodes_end (clang::Stmt *S)

## Detailed Description

### template<>
struct llvm::GraphTraits< clang::Stmt * >

Definition at line 23 of file StmtGraphTraits.h.

## Member Typedef Documentation

## ◆ ChildIteratorType

using llvm::GraphTraits< clang::Stmt * >::ChildIteratorType = clang::Stmt::child_iterator

Definition at line 25 of file StmtGraphTraits.h.

## ◆ NodeRef

using llvm::GraphTraits< clang::Stmt * >::NodeRef = clang::Stmt *

Definition at line 24 of file StmtGraphTraits.h.

## ◆ nodes_iterator

using llvm::GraphTraits< clang::Stmt * >::nodes_iterator = llvm::df_iterator<clang::Stmt *>

Definition at line 26 of file StmtGraphTraits.h.

## Member Function Documentation

## ◆ child_begin()

static ChildIteratorType llvm::GraphTraits< clang::Stmt * >::child_begin | ( | NodeRef | N | ) |
| inline static

Definition at line 30 of file StmtGraphTraits.h.

References clang::Stmt::child_begin().

## ◆ child_end()

static ChildIteratorType llvm::GraphTraits< clang::Stmt * >::child_end | ( | NodeRef | N | ) |
| inline static

Definition at line 35 of file StmtGraphTraits.h.

References clang::Stmt::child_end().

## ◆ getEntryNode()

static NodeRef llvm::GraphTraits< clang::Stmt * >::getEntryNode | ( | clang::Stmt * | S | ) |
| inline static

Definition at line 28 of file StmtGraphTraits.h.

## ◆ nodes_begin()

static nodes_iterator llvm::GraphTraits< clang::Stmt * >::nodes_begin | ( | clang::Stmt * | S | ) |
| inline static

Definition at line 40 of file StmtGraphTraits.h.

## ◆ nodes_end()

static nodes_iterator llvm::GraphTraits< clang::Stmt * >::nodes_end | ( | clang::Stmt * | S | ) |
| inline static

Definition at line 44 of file StmtGraphTraits.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/StmtGraphTraits.h